<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package nineteenzerotwo
 */

get_header(); ?>



  <div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

  		<section class="error-404 not-found">
    				<header class="page-header">
    				  <img src="<?php echo get_template_directory_uri();?>/images/404.png" />
    					<h1 class="page-title"><?php _e( 'Page not found', 'nineteenzerotwo' ); ?></h1>
    				</header><!-- .page-header -->
  
    				<div class="page-content">
    					<p>
                <?php _e( 'Sorry, but we couldn\'t find the page you were looking', 'nineteenzerotwo' ); ?><br />
                <?php _e( 'Try returning to the', 'nineteenzerotwo' ); ?>&nbsp;<a href="/"><?php _e( 'Homepage', 'nineteenzerotwo' ); ?></a>
              </p>
     				</div><!-- .page-content -->
  			</section><!-- .error-404 -->

		</main><!-- #main -->
	</div><!-- #primary -->
	
<?php get_footer(); ?>