jQuery(document).ready(function($){
	
	jQuery('.colorSelector').each(function(){
		var element = this;
		jQuery(this).ColorPicker({
			color: '#0000ff',
			onShow: function (colpkr) {
				jQuery(colpkr).fadeIn(500);
				return false;
			},
			onHide: function (colpkr) {
				jQuery(colpkr).fadeOut(500);
				return false;
			},
			onSubmit: function(hsb, hex, rgb, el) {
				jQuery(el).val(hex);
				jQuery(el).ColorPickerHide();
			},
			onChange: function (hsb, hex, rgb) {
				jQuery(element).children('div').css('backgroundColor', '#' + hex);
				jQuery(element).next('.color-holder').val('#' + hex);
			}
		});
	});
	
	jQuery('.theme-selector').live('click', function(){
		if(jQuery(this).val() == 'custom')
		{
			jQuery('#custom-options').fadeIn();
		}
		else
		{
			jQuery('#custom-options').fadeOut();
		}
	});
	
	jQuery('.upload_image').live('click', function( event ){
		var target = jQuery(this).attr('id');
		target = target + '_url';
		image_uploader(event, target);
	});
	
	function image_uploader(event, target)
	{
		var file_frame;
		
		event.preventDefault();
		 
		file_frame = wp.media.frames.file_frame = wp.media({
			title: jQuery( this ).data( 'uploader_title' ),
			button: {
				text: jQuery( this ).data( 'uploader_button_text' ),
			},
			multiple: false // Set to true to allow multiple files to be selected
		});
		 
		file_frame.on( 'select', function() {
			attachment = file_frame.state().get('selection').first().toJSON();
			
			jQuery('#' + target).val(attachment.url);
			jQuery('#' + target).next('.buttons').children('.remove_image').show();
			jQuery('#' + target).siblings('.image-preview').html('<img src="' + attachment.url + '" />');
			
		});
		 
		// Finally, open the modal
		file_frame.open();
	}
	
	jQuery('.remove_image').live('click', function( event ){
		var target = jQuery(this).attr('id');
		target = target + '_url';
		
		jQuery('#' + target).val('');
		jQuery(this).parent().siblings('.image-preview').html('');
		
		jQuery(this).hide();
	});
	
	jQuery('#options-tab li').live('click', function(){
		var tab_id = jQuery(this).attr('id');
		jQuery('#options-tab li').each(function(){
			jQuery(this).removeClass('active');
		});
		
		jQuery('#optionscontainer .block').each(function(){
			jQuery(this).removeClass('active');
		});
		
		jQuery(this).addClass('active');
		jQuery('#opt-' + tab_id).addClass('active');
	});
});