<?php
/**
 * The template for displaying Archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package nineteenzerotwo
 */

get_header(); ?>
    <div id="primary" class="site-content">
        <div id="content" role="main" class="fullwidth newslist">
                <header class="entry-header">
                    <h1 class="entry-title"><?php _e("NEWS ARCHIVED"); ?></h1>
                </header><!-- .entry-header -->
       
                <?php if ( have_posts() ) : ?>
                    <?php $i=0; while ( have_posts() ) : the_post(); ?>
                      <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <div class="row">
                            <div class="span88 alignleft date-month">	
                                <span class="date"><?php the_time('j'); ?></span>
                                <span class="month"><?php the_time('M'); ?></span>
                            </div>
                            <div class="span890 alignright">
                                <h2 class="news-title">
                                    <a href="<?php the_permalink(); ?>" rel="bookmark" class="link-news-title"><?php the_title(); ?></a>
                                </h2>
                                <?php if($i == 0) : ?>
                                    <?php the_content();?>
                                <?php else: ?>
                                   <?php the_excerpt();?>
                                <?php endif; ?>
                                
                                <footer class="entry-meta">
                                    <div id="tags"  class="span480 alignleft" style="margin-bottom:12px;">
                                        <?php 
                                            if ( 'news' == get_post_type() ) :?> 
                                                <strong>Tags:</strong>
                                          <?php $tags_list = get_the_tag_list( '', __( ', ', 'news' ) );
                                                if ( $tags_list ) :
                                                    printf( __( ' %1$s', 'nineteenzerotwo' ), $tags_list );
                                                endif; 
                                            endif; 
                                        ?>
                                    </div>
                                    <div id="socialmedia" class="span480 alignright">
                                        <?php echo displaySocialLinks();?>
                                    </div>
                                    <div class="clear"></div>
                                </footer>
                            </div>
                            <div class="clear"></div>
                        </div>
                      </article>
                    <?php $i++; endwhile; ?>
                      <?php nineteenzerotwo_content_nav( 'nav-below' ); ?>
                <?php else : ?>
                    <?php get_template_part( 'no-results', 'archive' ); ?>
		<?php endif; ?>
          
        </div><!-- #content -->
    </div><!-- #primary -->
<?php //get_sidebar(); ?>   
<?php get_footer(); ?>