<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the id=main div and all content after
 *
 * @package nineteenzerotwo
 */
?>

	</div><!-- #content -->

        <footer id="footer" class="site-footer" role="contentinfo">
            <div class="site-info fullwidth">
                <div class="wrap-center">
                    <?php
                        if ( ! is_active_sidebar( 'footer-1' ) && ! is_active_sidebar( 'footer-2' ) )
                        return;
                    ?>
                    <?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
                        <div id="footer-widget-1" class="widget-area<?php if(!is_active_sidebar( 'footer-2' )) echo ' fullwidth'; else echo ' span405';?>">
                                <?php dynamic_sidebar( 'footer-1' ); ?>
                        </div><!-- .widget-area -->
                    <?php endif; ?>
               
                    <?php /*if ( is_active_sidebar( 'footer-2' ) ) : ?>
                        <div id="footer-widget-2" class="widget-area<?php if(!is_active_sidebar( 'footer-1' )) echo ' fullwidth'; else echo ' span575';?>">
                                <?php dynamic_sidebar( 'footer-2' ); ?>
                        </div><!-- .widget-area -->
                    <?php endif;*/ ?>
                        
                    <div id="footer-widget-2" class="widget-area span575">    
                        <aside id="text-3" class="widget widget_text">
                            <h3 class="widget-title"><?php _e('How to reach us');?></h3>
                            <div class="textwidget">
                                <div class="alignright col2">
                                    <?php hook_option('nineteen02_misc_map');?>
                                </div>
                                <div class="alignleft col1">
                                   
                                    <p><strong><?php hook_option('misc_coyname');?></strong><br /><?php hook_option('misc_address');?><p>
                                    T: <?php hook_option('misc_telephone');?><br />
                                    E: <?php hook_option('misc_email');?>
                                    </p>
                                </div>
                            </div>
                        </aside>  
                    </div>
                </div><!-- .site-info -->
            </div>
            <div class="fullwidth">
                <div class="wrap-center copyright">
                   Copyright @<?php echo date('Y');?>. All Rights Reserved.
                </div>
            </div>
        </footer><!-- #colophon -->

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
