<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package nineteenzerotwo
 */

get_header(); ?>

	<div id="primary" class="site-content">
	   <div id="content" role="main">
      	
      
      		<?php if ( have_posts() ) : ?>
      
      			<header class="page-header">
      				<h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'nineteenzerotwo' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
      			</header><!-- .page-header -->
      
      			<?php /* Start the Loop */ ?>
      			<?php while ( have_posts() ) : the_post(); ?>
      
      				<?php get_template_part( 'content', 'search' ); ?>
      
      			<?php endwhile; ?>
      
      			<?php nineteenzerotwo_content_nav( 'nav-below' ); ?>
      
      		<?php else : ?>
      
      			<?php get_template_part( 'no-results', 'search' ); ?>
      
      		<?php endif; ?>
      
      	
	   </div>
  </div><!-- #primary -->


<?php get_footer(); ?>