<?php
/**
 * The template for displaying search forms in nineteenzerotwo
 *
 * @package nineteenzerotwo
 */
?>
<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label>
		<input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Enter Search', 'placeholder', 'nineteenzerotwo' ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" name="s" title="<?php _ex( 'Search for:', 'label', 'nineteenzerotwo' ); ?>">
	</label>
	<input type="submit" class="search-submit" value="<?php echo esc_attr_x( 'Search', 'submit button', 'nineteenzerotwo' ); ?>">
</form>
