jQuery(document).ready(function($){
	jQuery('.upload_image').live('click', function( event ){
		var target = jQuery(this).attr('id');
		target = target + '_url';
		image_uploader(event, target);
	});
	
	function image_uploader(event, target)
	{
		var file_frame;
		
		event.preventDefault();
		 
		file_frame = wp.media.frames.file_frame = wp.media({
			title: jQuery( this ).data( 'uploader_title' ),
			button: {
				text: jQuery( this ).data( 'uploader_button_text' ),
			},
			multiple: false // Set to true to allow multiple files to be selected
		});
		 
		file_frame.on( 'select', function() {
			attachment = file_frame.state().get('selection').first().toJSON();
			
			jQuery('#' + target).val(attachment.url);
			jQuery('#' + target).next('.buttons').children('.remove_image').show();
			jQuery('#' + target).siblings('.image-preview').html('<img src="' + attachment.url + '" />');
			
		});
		 
		// Finally, open the modal
		file_frame.open();
	}
	
	jQuery('.remove_image').live('click', function( event ){
		var target = jQuery(this).attr('id');
		target = target + '_url';
		
		jQuery('#' + target).val('');
		jQuery(this).parent().siblings('.image-preview').html('');
		
		jQuery(this).hide();
	});
	
	jQuery('#export-settings').click(function(){
		jQuery('#form-export').attr('action', ajaxurl);
		jQuery('#form-export').submit();
	});
});