( function( $ ) {
	var api = wp.customize;
	wp.customize( 'wptheme03[logo]', function( value ) {
		value.bind( function( newval ) {
			jQuery('a.logo img').attr('src', newval );
		});
	});
	
	wp.customize( 'wptheme03[theme_style]', function( value ) {
		value.bind( function( newval ) {
			jQuery('body').removeClass('custom');
			jQuery('body').addClass(newval);
		});
	});

	wp.customize( 'wptheme03[nav_bgcolor]', function( value ) {
		value.bind( function( newval ) {
			jQuery('.main-navigation').css('background-color', newval);
			jQuery('.popular h2.widgetTitle span:first-child').css('color', newval);
		});
	});
	
	wp.customize( 'wptheme03[nav_hovercolor]', function( value ) {
		value.bind( function( newval ) {
			jQuery('.main-navigation a').hover(
				function(){
					jQuery(this).css('background-color', newval);
				},
				function(){
					var nav_bgcolor = api.instance('wptheme03[nav_bgcolor]').get();
					jQuery(this).css('background-color', nav_bgcolor);
					jQuery('.main-navigation li.current_page_item a').css('background-color', newval);
				}
			);
		});
	});
	
	wp.customize( 'wptheme03[link_color]', function( value ) {
		value.bind( function( newval ) {
			jQuery('#main a').css('color', newval);
		});
	});
	
	wp.customize( 'wptheme03[button_bgcolor]', function( value ) {
		value.bind( function( newval ) {
			jQuery('input[type=submit]').css('background-color', newval);
		});
	});
	
	wp.customize( 'wptheme03[footer_bgcolor]', function( value ) {
		value.bind( function( newval ) {
			jQuery('#footer .site-info').css('background-color', newval);
		});
	});
	
	wp.customize( 'wptheme03[footer_txtcolor]', function( value ) {
		value.bind( function( newval ) {
			jQuery('#footer').css('color', newval);
			jQuery('#footer p').css('color', newval);
		});
	});
	
	wp.customize( 'wptheme03[widget_bgcolor]', function( value ) {
		value.bind( function( newval ) {
			jQuery('#footer .widget-title').css('background-color', newval);
		});
	});
	
	wp.customize( 'wptheme03[widget_txtcolor]', function( value ) {
		value.bind( function( newval ) {
			jQuery('#footer .widget-title').css('color', newval);
		});
	});
})( jQuery );