<?php
function get_styles_list()
{
	$styles = array();
	
	if ($handle = opendir(THEME_STYLES_DIRECTORY)) 
	{
	    while (false !== ($style = readdir($handle))) 
	    {
	    	if ($style != "." && $style != ".." && is_dir(THEME_STYLES_DIRECTORY . $style)) 
	        {
	            //array_push($styles, $style);
	            $styles[$style] = $style;
	        }
	    }
	    
	    closedir($handle);
	}
	
	//array_push($styles, 'custom');
	$styles['custom'] = 'custom';
	
	return $styles;
}

function get_style_thumbnail($style)
{
	$thumbnail = null;
	
	if(file_exists(THEME_STYLES_DIRECTORY . $style . '/screenshot.jpg'))
	{
		$thumbnail = THEME_STYLES_URI . $style . '/screenshot.jpg';
	}
	elseif(file_exists(THEME_STYLES_DIRECTORY . $style . '/screenshot.jpeg'))
	{
		$thumbnail = THEME_STYLES_URI . $style . '/screenshot.jpeg';
	}
	elseif(file_exists(THEME_STYLES_DIRECTORY . $style . '/screenshot.png'))
	{
		$thumbnail = THEME_STYLES_URI . $style . '/screenshot.png';
	}
	else 
	{
		$thumbnail = THEME_STYLES_URI . $style . '/default.png';
	}
	
	return $thumbnail;
}
