<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package nineteenzerotwo
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
	</header><!-- .entry-header -->


  	<div class="entry-content">
    		<?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
    			<div class="fullwidth entry-thumbnail">
    				<?php the_post_thumbnail('',array('class'=>'alignlefty')); ?>
    			</div>
    		<?php endif; ?>
  			<div class="fullwidth right-text"><?php the_content(); ?></div>
    		<?php
    			wp_link_pages( array(
    				'before' => '<div class="page-links">' . __( 'Pages:', 'nineteenzerotwo' ),
    				'after'  => '</div>',
    			) );
    		?>
  	</div><!-- .entry-content -->
</article><!-- #post-## -->
