<?php
/**
 * @package nineteenzerotwo
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
            <h1 class="entry-title"><?php _e("NEWS & UPDATES"); ?></h1>
            <div class="entry-meta">
                <?php nineteenzerotwo_posted_on(); ?>
            </div><!-- .entry-meta -->
    </header><!-- .entry-header -->
    <div class="fullwidth newslist">
        <div class="row">
            <div class="span88 alignleft date-month">	
                <span class="date"><?php the_time('j'); ?></span>
                <span class="month"><?php the_time('M'); ?></span>
            </div>
            <div class="span890 alignright">
                <h2 class="news-title"><?php the_title(); ?></h2>
         
                <?php the_content(); ?>
                <?php
                    wp_link_pages( array(
                            'before' => '<div class="page-links">' . __( 'Pages:', 'nineteenzerotwo' ),
                            'after'  => '</div>',
                    ) );
                ?>               
                <footer class="entry-meta">
                    <div id="tags"  class="span480 alignleft">
                        <strong>Tags:</strong>

                        <?php
                                /* translators: used between list items, there is a space after the comma */
                                $category_list = get_the_category_list( __( ', ', 'news' ) );

                                /* translators: used between list items, there is a space after the comma */
                                $tag_list = get_the_tag_list( '', __( ', ', 'news' ) );

                                if ( ! nineteenzerotwo_categorized_blog() ) {
                                        // This blog only has 1 category so we just need to worry about tags in the meta text
                                        if ( '' != $tag_list ) {
                                                $meta_text = __( ' %2$s', 'news' );
                                        } else {
                                                $meta_text = __( 'Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'news' );
                                        }

                                } else {
                                        // But this blog has loads of categories so we should probably display them here
                                        if ( '' != $tag_list ) {
                                                $meta_text = __( 'This entry was posted in %1$s and tagged %2$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'news' );
                                        } else {
                                                $meta_text = __( 'This entry was posted in %1$s. Bookmark the <a href="%3$s" title="Permalink to %4$s" rel="bookmark">permalink</a>.', 'news' );
                                        }

                                } // end check for categories on this blog

                                printf(
                                        $meta_text,
                                        $category_list,
                                        $tag_list,
                                        get_permalink(),
                                        the_title_attribute( 'echo=0' )
                                );
                        ?>

                    </div>
                    <div id="socialmedia" class="span480 alignright">
                       <?php echo displaySocialLinks();?>
                    </div>
                    <div class="clear"></div>
                </footer>
            </div>
        </div>
    </div>

</article><!-- #post-## -->
