<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package nineteenzerotwo
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'nineteenzerotwo' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	<footer class="entry-meta">
		<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
		 <div id="tags"  class="span600 alignleft" style="margin-bottom:12px;">
            <?php
      				/* translators: used between list items, there is a space after the comma */
      				$tags_list = get_the_tag_list( '', __( ', ', 'nineteenzerotwo' ) );
      				if ( $tags_list ) :
      			?>
      			<strong><?php echo __('Tags:', 'nineteenzerotwo' );?></strong>
      			<span class="tags-links">
      				<?php printf( __( '%1$s', 'nineteenzerotwo' ), $tags_list ); ?>
      			</span>
      			<?php endif; // End if $tags_list ?>
		  </div>
  		<?php endif; // End if 'post' == get_post_type() ?>
      		
    <div id="socialmedia" class="span245 alignright">
        <?php echo displaySocialLinks();?>
    </div>
		<?php edit_post_link( __( 'Edit', 'nineteenzerotwo' ), '<span class="edit-link">', '</span>' ); ?>
		<div class="clear"></div>
	</footer><!-- .entry-meta -->

</article><!-- #post-## -->
