<?php
/**
 * @package nineteenzerotwo
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
   
    <?php if ( is_search() ) : // Only display Excerpts for Search ?>
        <div class="entry-summary">
            <?php the_excerpt(); ?>
        </div><!-- .entry-summary -->
    <?php else : ?>
    <div class="entry-content">
        <?php
           $src = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()));
           $parse_src = parse_url($src[0]);
           $get_featuredImg = $parse_src['path']; 
           if($src != null) { ?>
               <div class="blog_img"><img src="<?php echo get_stylesheet_directory_uri();?>/timthumb.php?src=<?php echo $get_featuredImg; ?>&w=125&h=125" /></div>
        <?php }else{ echo ""; } ?>
                <div class="span850 alignright">
                <h2 class="entry-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>                
                <?php the_excerpt(200); ?>
                <?php
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . __( 'Pages:', 'nineteenzerotwo' ),
                        'after'  => '</div>',
                    ) );
                ?>
                </div>
    </div><!-- .entry-content -->
    <?php endif; ?>
    <footer class="entry-meta">
        <?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
            <div id="tags"  class="span600 alignleft" style="margin-bottom:12px;">
            <?php
                /* translators: used between list items, there is a space after the comma */
                $tags_list = get_the_tag_list( '', __( ', ', 'nineteenzerotwo' ) );
                if ( $tags_list ) :
            ?>
                    <strong><?php echo __('Tags:', 'nineteenzerotwo' );?></strong>
                    <span class="tags-links">
                            <?php printf( __( '%1$s', 'nineteenzerotwo' ), $tags_list ); ?>
                    </span>
                <?php endif; // End if $tags_list ?>
            </div>
            <?php endif; // End if 'post' == get_post_type() ?>

            <?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
                <span class="comments-link span150" style="display:none;"><?php comments_popup_link( __( 'Leave a comment', 'nineteenzerotwo' ), __( '1 Comment', 'nineteenzerotwo' ), __( '% Comments', 'nineteenzerotwo' ) ); ?></span>
            <?php endif; ?>    

            <div id="socialmedia" class="span310 alignright">
                <?php echo displaySocialLinks();?>
            </div>
            <?php edit_post_link( __( 'Edit', 'nineteenzerotwo' ), '<span class="edit-link">', '</span>' ); ?>
        <div class="clear"></div>
    </footer><!-- .entry-meta -->
</article><!-- #post-## -->
